plugins {
    id("com.android.application")
    id("org.jetbrains.kotlin.android")
    alias(libs.plugins.ksp)
}

@Suppress("UnstableApiUsage")
android {
    namespace = "com.tkhskt.shiirudo.sample"
    compileSdk = 33

    defaultConfig {
        applicationId = "com.tkhskt.shiirudo.sample"
        minSdk = 24
        targetSdk = 33
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        vectorDrawables {
            useSupportLibrary = true
        }
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_11
        targetCompatibility = JavaVersion.VERSION_11
    }
    kotlinOptions {
        jvmTarget = "11"
    }
    buildFeatures {
        compose = true
    }
    composeOptions {
        kotlinCompilerExtensionVersion = "1.3.2"
    }
    packagingOptions {
        resources {
            excludes += "/META-INF/{AL2.0,LGPL2.1}"
        }
    }

    // Configure the IDE to recognize the code generated by Shiirudo
    kotlin {
        sourceSets.main {
            kotlin.srcDir("build/generated/ksp/debug/kotlin")
        }
    }
}

dependencies {
    implementation(libs.bundles.androidx)
    debugImplementation(libs.bundles.androidx.debug)
    testImplementation(libs.bundles.test)
    androidTestImplementation(libs.bundles.android.test)

    implementation(project(":lib"))
    ksp(project(":lib"))
}
